library(ggplot2)
library(reshape2)



stat<-read.table("statistics", header=T, stringsAsFactors = F)


#remove extention
stat$name1<-gsub("\\.\\w+$", "", stat$name1, perl=T)
stat$name2<-gsub("\\.\\w+$", "", stat$name2, perl=T)

name1<-unique(stat$name1)
name2<-unique(stat$name2)

#get correlation matrix
cc_mx<-matrix(rep(0, length(name1)*length(name2)), nrow=length(name1))
rownames(cc_mx) = name1
colnames(cc_mx) = name2


fill_cc_matrix<-function(x){
  cc_mx[x[1], x[2]]<<-as.numeric(x[3])
}

apply(stat[, c("name1", "name2", "Fg_Corr")], 1, function(x) fill_cc_matrix(x))

#cc
melted_matr <- melt(cc_mx)
ggplot(data = melted_matr, aes(x=Var1, y=Var2, fill=value)) + 
  geom_tile(colour = "black") +
  labs(x="", y="")+
  scale_fill_gradient2(low = "blue", high = "red", mid = "white", 
                       midpoint = 0, limit = c(-1,1), space = "Lab", 
                       name="Fg_Corr") +
  theme(axis.text.x = element_text(colour="black",size=14,angle=90,hjust=0.5,vjust=0,face="plain"),
        axis.text.y = element_text(colour="black",size=14,angle=0,hjust=0,vjust=0.5,face="plain"),
        legend.text = element_text(colour="black", size = 12),
        legend.title = element_text(colour="black", size = 14)  )
